> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arqonara.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename Server

> Change the display name of a server.

Mengubah nama dan deskripsi server.

Mengubah nama tampilan (*display name*) dan deskripsi server di panel.


## OpenAPI

````yaml POST /servers/{server}/settings/rename
openapi: 3.0.0
info:
  title: Arqonara Global API
  version: 1.0.0
  description: Dokumentasi API lengkap untuk Client Arqonara (Account & Server Management).
servers:
  - url: https://panel.arqonara.com/api/client
    description: Client API
security:
  - bearerAuth: []
paths:
  /servers/{server}/settings/rename:
    post:
      tags:
        - Settings
      summary: Rename Server
      description: |-
        Change the display name of a server.

        Mengubah nama dan deskripsi server.
      operationId: rename-server
      parameters:
        - name: server
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
              required:
                - name
      responses:
        '204':
          description: Server Renamed
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````